#ifndef ENNEMI_H
#define ENNEMI_H 




#include "box.h"
#define NOMBRE_ENNEMIS 6
extern const int ennemi_widths[NOMBRE_ENNEMIS];
extern const int ennemi_heights[NOMBRE_ENNEMIS];

#define NONE 			0


#define GOOMBA_ID  1
#define KOOPA_V_ID 2

#define GOOMBA(x,y,dir) 	{GOOMBA_ID,{x,y,ennemi_widths[GOOMBA_ID],ennemi_heights[GOOMBA_ID],dir,0,0,1},1,0,dir}
#define KOOPA_V(x,y,dir)	{KOOPA_V_ID,{x,y,ennemi_widths[KOOPA_V_ID],ennemi_heights[KOOPA_V_ID],dir,0,0,1},1,0,dir}

#define CARAPACE_VERTE	3
#define KOOPA_ROUGE		4
#define CARAPACE_ROUGE	5	

#define DEAD 0

// Dimensions pr les boites

#define GOOMBA_X 8
#define GOOMBA_Y 8

#define KOOPA_X 8
#define KOOPA_Y 12

#define CARAPACE_X 8
#define CARAPACE_Y 9


typedef struct 
{
	int type 	:8;
	box_t b;
	unsigned life		:1;
	unsigned discovered	:1;
	int p1	:14;
} ennemi_t;

void display_ennemi(ennemi_t * e);

extern ennemi_t * ennemis_global;
extern int ennemis_global_size;
void display_ennemi_table();

#endif