#ifndef PLATEFORME_H
#define PLATEFORME_H

#define P_FALLING 0
#define P_MOVING_H 1
#define P_MOVING_V 2




typedef struct 
{
	unsigned type;
	int xinit, yinit;
	int x, y;
	int width; // height fixed to 3
	int v, vinit;

	union
	{
		int xmin;
		int ymin;
	};
	union
	{
		int xmax;
		int ymax;
	};
	int counter;
} plateforme_t;

#define PLATEFORME_HEIGHT 3

#define PLATEFORME_FALLING(x,y,w) {P_FALLING,x,y,x,y,w,0,0,.xmin=0,.xmax=0,0}
#define PLATEFORME_MOVING_H(x,y,w,v,x0,x1) {P_MOVING_H,x,y,x,y,w,0,v,.xmin=x0,.xmax=x1,0}
#define PLATEFORME_MOVING_V(x,y,w,v,y0,y1) {P_MOVING_V,x,y,x,y,w,0,v,.ymin=y0,.ymax=y1,0}

//void reset_plateforme(plateforme_t* p);



//void move_plateforme(plateforme_t* p); // touch mario stuff

void move_plateformes();

void display_plateformes();

int plateforme_check_collide(int x, int y);

extern int plateforme_table_size;
extern plateforme_t* plateformes;

#endif