#include "tile.h"
#include "constants.h"

#include <gint/display.h>

int dark_theme=0;

extern image_t img_tuyau;
const tileset_t tuyau={&img_tuyau, TILE_W, TILE_H, 1};

extern image_t img_brick;
const tileset_t brick={&img_brick, TILE_W, TILE_H, 1};

extern image_t img_stone;
const tileset_t earth={&img_stone, TILE_W, TILE_H, 1};

extern image_t img_gift;
const tileset_t gift={&img_gift, TILE_W, TILE_H, 1};

extern image_t img_coin;
const tileset_t coin={&img_coin, TILE_W, TILE_H, 1};

extern image_t img_nuage;
const tileset_t nuage={&img_nuage, TILE_W, TILE_H, 0};
extern image_t img_buisson;
const tileset_t buisson={&img_buisson, TILE_W, TILE_H, 0};
extern image_t img_colline;
const tileset_t colline={&img_colline, TILE_W, TILE_H, 0};
extern image_t img_castle;
const tileset_t castle={&img_castle, TILE_W, TILE_H, 0};

extern image_t img_flag;
const tileset_t end_level={&img_flag, 2*TILE_W, TILE_H, 0};

extern image_t img_bloc;
const tileset_t bloc={&img_bloc, TILE_W, TILE_H, 0};

extern image_t img_champi;
const tileset_t champi={&img_champi, TILE_W, TILE_H, 0};
extern image_t img_1up;
const tileset_t life_1up={&img_1up, TILE_W, TILE_H, 0};

extern image_t img_star;
const tileset_t mario_starman={&img_star, TILE_W, TILE_H, 0};

extern image_t img_fleur;
const tileset_t fleur={&img_fleur, TILE_W, TILE_H, 0};

extern image_t img_bullet;
const tileset_t bullet={&img_bullet, TILE_W/2, TILE_H/2, 1};


extern image_t img_mariosmall;
const tileset_t mario_small={&img_mariosmall, TILE_W, TILE_H, 1};

extern image_t img_mariobig;
const tileset_t mario_big={&img_mariobig, TILE_W, 2*TILE_H, 1};

extern image_t img_plateforme;
const tileset_t tplateforme={&img_plateforme, 3, 3, 0};


void draw_tile(int sx, int sy, tileset_t const * const set, int x, int y)
{
//	if (dark_theme==0)
		dsubimage(sx, 64-sy-set->height,
			set->sheet,
			x*(set->width+set->padding), y*(set->height+set->padding),
			set->width,set->height,
			DIMAGE_NONE);
/*	else
		dsubimage(sx, 64-sy-set->height,
			set->sheet_dark,
			x*(set->width+set->padding), y*(set->height+set->padding),
			set->width,set->height,
			DIMAGE_NONE);
*/
}
