#ifndef _TILE_H
#define _TILE_H

#include <gint/display.h>

extern int dark_theme;

typedef struct
{
	image_t * sheet;
	int width;
	int height;
	int padding;
} tileset_t;

extern const tileset_t tuyau;
extern const tileset_t brick;
extern const tileset_t earth;
extern const tileset_t gift;
extern const tileset_t coin;
extern const tileset_t bloc;
extern const tileset_t nuage;
extern const tileset_t buisson;
extern const tileset_t colline;
extern const tileset_t castle;
extern const tileset_t end_level;

extern const tileset_t champi;
extern const tileset_t fleur;
extern const tileset_t life_1up;
extern const tileset_t mario_starman;

extern const tileset_t bullet;

extern const tileset_t bloc;

extern const tileset_t mario_small;
extern const tileset_t mario_big;

extern const tileset_t tplateforme;

void draw_tile(int sx, int sy, tileset_t const * const set, int x, int y);

#endif
