#include <save.h>

#include <stdint.h>



uint32_t level_highscores [NB_MONDES] [WORLD_RUN_ENTRY]={0};

uint32_t level_best_times [NB_MONDES] [WORLD_RUN_ENTRY];

uint32_t progress_status=0; // world 1 only

static uint32_t checksum1;

static uint32_t const file_size = sizeof(level_highscores)+sizeof(level_best_times)+sizeof(progress_status)+sizeof(checksum1);

void load_save(){};
void flash_save(){};

int get_highscore(int world, int level)
{
	return level_highscores[world%NB_MONDES][level%WORLD_RUN_ENTRY];
}

void set_highscore(int world, int level, int score)
{
	level_highscores[world%NB_MONDES][level%WORLD_RUN_ENTRY]=score;
}

int get_best_time(int world, int level)
{
	return level_best_times[world%NB_MONDES][level%WORLD_RUN_ENTRY];
}

void set_best_time(int world, int level, int score)
{
	level_best_times[world%NB_MONDES][level%WORLD_RUN_ENTRY]=score;
}

int get_progress_status()
{ return progress_status; }